# -*- python -*-
# $RCSfile: director.py,v $
# $Revision: 1.5 $
# $Author: langer $
# $Date: 2003/12/02 19:42:29 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

# The "director" enum class.  Used by the boundary constructor,
# but in common because it just might be useful elsewhere also.
from common import enum
from common import utils

class Director(enum.EnumClass('Clockwise','Counterclockwise',
                              'Left to right', 'Right to left',
                              'Top to bottom', 'Bottom to top')):
    pass

utils.OOFdefine('Director', Director)
