# -*- python -*-
# $RCSfile: fieldindex_.py,v $
# $Revision: 1.6 $
# $Author: langer $
# $Date: 2004/07/16 20:10:54 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

import string

# Defining __repr__ here doesn't work, because the derived classes
# will override it.

def _shortrepr(self):
    comps = self.components()
    return string.join(["xyz"[x] for x in comps], '')

FieldIndex.shortrepr = _shortrepr
FieldIterator.shortrepr = _shortrepr
IndexPPtr.shortrepr = _shortrepr
IteratorPPtr.shortrepr = _shortrepr
