# -*- python -*-
# $RCSfile: selectionplaceholder.py,v $
# $Revision: 1.1 $
# $Author: langer $
# $Date: 2004/01/14 18:14:31 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from common import utils

# Special type for representing the selection in aggregate parameters
# (ie parameters that can be set to a group or the currently selected
# objects).

class SelectionPlaceHolder:
    def __cmp__(self, other):
        if isinstance(other,SelectionPlaceHolder):
            return 0
        return 1
    def __repr__(self):
        return 'selection'

selectionPlaceHolder = SelectionPlaceHolder()
selectionIDstring = "<selection>"
utils.OOFdefine('selection', selectionPlaceHolder)

class AllPlaceHolder:
    def __cmp__(self, other):
        if isinstance(other, AllPlaceHolder):
            return 0
        return 1
    def __repr__(self):
        return 'all'
    
allPlaceHolder = AllPlaceHolder()
allIDstring = "<all>"
utils.OOFdefine('all', allPlaceHolder)
