# This file was created automatically by SWIG.
import femeshc
from SWIG.engine.field import FieldPtr
from SWIG.engine.equation import EquationPtr
from SWIG.engine.solver import SolverPtr
from SWIG.common.lock import RWLockPtr
from SWIG.common.lock import LockPtr
class FEMeshPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,femeshc=femeshc):
        if self.thisown == 1 :
            femeshc.delete_FEMesh(self)
    def requirePrecompute(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_requirePrecompute,(self,) + _args, _kwargs)
        return val
    def make_stiffness(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_make_stiffness,(self,) + _args, _kwargs)
        return val
    def boundary_rhs_init(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_boundary_rhs_init,(self,) + _args, _kwargs)
        return val
    def post_process(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_post_process,(self,) + _args, _kwargs)
        return val
    def dump_boundary_rhs(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_dump_boundary_rhs,(self,) + _args, _kwargs)
        return val
    def solve(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_solve,(self,) + _args, _kwargs)
        return val
    def refreshMaterials(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_refreshMaterials,(self,) + _args, _kwargs)
        return val
    def stiffness_matrix(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_stiffness_matrix,(self,) + _args, _kwargs)
        if val: val = StiffnessMatrixPtr(val) 
        return val
    def Amatrix(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_Amatrix,(self,) + _args, _kwargs)
        if val: val = CSRmatrixPtr(val) ; val.thisown = 1
        return val
    def Bmatrix(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_Bmatrix,(self,) + _args, _kwargs)
        if val: val = CSRmatrixPtr(val) ; val.thisown = 1
        return val
    def Cmatrix(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_Cmatrix,(self,) + _args, _kwargs)
        if val: val = CSRmatrixPtr(val) ; val.thisown = 1
        return val
    def Cpmatrix(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_Cpmatrix,(self,) + _args, _kwargs)
        if val: val = CSRmatrixPtr(val) ; val.thisown = 1
        return val
    def newMapNode(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_newMapNode,(self,) + _args, _kwargs)
        return val
    def newFuncNode(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_newFuncNode,(self,) + _args, _kwargs)
        if val: val = FuncNodePtr(val) 
        return val
    def renumber_nodes(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_renumber_nodes,(self,) + _args, _kwargs)
        return val
    def renumber_elements(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_renumber_elements,(self,) + _args, _kwargs)
        return val
    def AddElement(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_AddElement,(self,) + _args, _kwargs)
        return val
    def getNode(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_getNode,(self,) + _args, _kwargs)
        return val
    def closestNode(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_closestNode,(self,) + _args, _kwargs)
        return val
    def getElement(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_getElement,(self,) + _args, _kwargs)
        if val: val = ElementPtr(val) 
        return val
    def activate_field(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_activate_field,(self,) + _args, _kwargs)
        return val
    def deactivate_field(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_deactivate_field,(self,) + _args, _kwargs)
        return val
    def acquire_field_data(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_acquire_field_data,(self,) + _args, _kwargs)
        return val
    def define_field(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_define_field,(self,) + _args, _kwargs)
        if val: val = FieldPtr(val) 
        return val
    def undefine_field(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_undefine_field,(self,) + _args, _kwargs)
        return val
    def is_defined_field(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_is_defined_field,(self,) + _args, _kwargs)
        return val
    def is_active_field(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_is_active_field,(self,) + _args, _kwargs)
        return val
    def in_plane(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_in_plane,(self,) + _args, _kwargs)
        return val
    def is_active_flux(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_is_active_flux,(self,) + _args, _kwargs)
        return val
    def all_fields(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_all_fields,(self,) + _args, _kwargs)
        return val
    def all_equations(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_all_equations,(self,) + _args, _kwargs)
        return val
    def all_fluxes(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_all_fluxes,(self,) + _args, _kwargs)
        return val
    def activate_equation(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_activate_equation,(self,) + _args, _kwargs)
        return val
    def deactivate_equation(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_deactivate_equation,(self,) + _args, _kwargs)
        return val
    def is_active_equation(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_is_active_equation,(self,) + _args, _kwargs)
        return val
    def nelements(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_nelements,(self,) + _args, _kwargs)
        return val
    def nnodes(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_nnodes,(self,) + _args, _kwargs)
        return val
    def mapdofeqs(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_mapdofeqs,(self,) + _args, _kwargs)
        return val
    def resetdofeqs(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_resetdofeqs,(self,) + _args, _kwargs)
        return val
    def cleanlists(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_cleanlists,(self,) + _args, _kwargs)
        return val
    def element_iterator(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_element_iterator,(self,) + _args, _kwargs)
        if val: val = ElementIteratorPtr(val) ; val.thisown = 1
        return val
    def node_iterator(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_node_iterator,(self,) + _args, _kwargs)
        if val: val = NodeIteratorPtr(val) ; val.thisown = 1
        return val
    def funcnode_iterator(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_funcnode_iterator,(self,) + _args, _kwargs)
        if val: val = FuncNodeIteratorPtr(val) ; val.thisown = 1
        return val
    def mapsize(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_mapsize,(self,) + _args, _kwargs)
        return val
    def mapvalue(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_mapvalue,(self,) + _args, _kwargs)
        return val
    def dump_dof(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_dump_dof,(self,) + _args, _kwargs)
        return val
    def dump_eqn(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_dump_eqn,(self,) + _args, _kwargs)
        return val
    def get_rwlock(self, *_args, **_kwargs):
        val = apply(femeshc.FEMesh_get_rwlock,(self,) + _args, _kwargs)
        if val: val = RWLockPtr(val) 
        return val
    def __setattr__(self,name,value):
        if name == "precomputeLock" :
            femeshc.FEMesh_precomputeLock_set(self,value.this)
            return
        if name == "precomputeRequired" :
            femeshc.FEMesh_precomputeRequired_set(self,value)
            return
        if name == "freedofmap" :
            femeshc.FEMesh_freedofmap_set(self,value)
            return
        if name == "fixeddofmap" :
            femeshc.FEMesh_fixeddofmap_set(self,value)
            return
        if name == "indepeqnmap" :
            femeshc.FEMesh_indepeqnmap_set(self,value)
            return
        if name == "depeqnmap" :
            femeshc.FEMesh_depeqnmap_set(self,value)
            return
        self.__dict__[name] = value
    def __getattr__(self,name):
        if name == "precomputeLock" : 
            return LockPtr(femeshc.FEMesh_precomputeLock_get(self))
        if name == "precomputeRequired" : 
            return femeshc.FEMesh_precomputeRequired_get(self)
        if name == "freedofmap" : 
            return femeshc.FEMesh_freedofmap_get(self)
        if name == "fixeddofmap" : 
            return femeshc.FEMesh_fixeddofmap_get(self)
        if name == "indepeqnmap" : 
            return femeshc.FEMesh_indepeqnmap_get(self)
        if name == "depeqnmap" : 
            return femeshc.FEMesh_depeqnmap_get(self)
        raise AttributeError,name
    def __repr__(self):
        return "<C FEMesh instance at %s>" % (self.this,)
class FEMesh(FEMeshPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(femeshc.new_FEMesh,_args,_kwargs)
        self.thisown = 1




class NodeIteratorPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def end(self, *_args, **_kwargs):
        val = apply(femeshc.NodeIterator_end,(self,) + _args, _kwargs)
        return val
    def node(self, *_args, **_kwargs):
        val = apply(femeshc.NodeIterator_node,(self,) + _args, _kwargs)
        return val
    def next(self, *_args, **_kwargs):
        val = apply(femeshc.NodeIterator_next,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C NodeIterator instance at %s>" % (self.this,)
class NodeIterator(NodeIteratorPtr):
    def __init__(self,this):
        self.this = this




class FuncNodeIteratorPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def end(self, *_args, **_kwargs):
        val = apply(femeshc.FuncNodeIterator_end,(self,) + _args, _kwargs)
        return val
    def node(self, *_args, **_kwargs):
        val = apply(femeshc.FuncNodeIterator_node,(self,) + _args, _kwargs)
        if val: val = FuncNodePtr(val) 
        return val
    def next(self, *_args, **_kwargs):
        val = apply(femeshc.FuncNodeIterator_next,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C FuncNodeIterator instance at %s>" % (self.this,)
class FuncNodeIterator(FuncNodeIteratorPtr):
    def __init__(self,this):
        self.this = this




class ElementIteratorPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def end(self, *_args, **_kwargs):
        val = apply(femeshc.ElementIterator_end,(self,) + _args, _kwargs)
        return val
    def element(self, *_args, **_kwargs):
        val = apply(femeshc.ElementIterator_element,(self,) + _args, _kwargs)
        if val: val = ElementPtr(val) 
        return val
    def next(self, *_args, **_kwargs):
        val = apply(femeshc.ElementIterator_next,(self,) + _args, _kwargs)
        return val
    def __len__(self, *_args, **_kwargs):
        val = apply(femeshc.ElementIterator___len__,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C ElementIterator instance at %s>" % (self.this,)
class ElementIterator(ElementIteratorPtr):
    def __init__(self,this):
        self.this = this






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: femesh_.py,v $
# $Revision: 1.61 $
# $Author: langer $
# $Date: 2004/09/21 19:23:56 $


# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from SWIG.common.IO import progressbar
from SWIG.engine import boundarycond
from SWIG.engine import material
from SWIG.engine import ooferror2
from SWIG.engine.csrmatrix import CSRmatrixPtr
from SWIG.engine.node import FuncNodePtr
from common import debug
from common.IO import reporter
from engine import boundary
import string

def _FEMeshPtr_getNodes(self):
    nodes = range(self.nnodes()); # This should pre-allocate the space
    for index in nodes:
        nodes[index] = self.getNode(index)
    return nodes

FEMeshPtr.getNodes = _FEMeshPtr_getNodes

# Over-ride for the FEMesh initializer.  This sets up the
# dictionaries "boundaries" and "bconditions" to be null, so that they
# can be appended-to easily by the mesh's construction functions.
#
def _FEMeshPtr___init__(self,this):
    self.this = this
    self.thisown = 0
    self.boundaries = {} # all boundaries.
    self.edgebdynames = [] # List of names of edge boundaries.
    self.edgesets = {}
    self.nodesets = {}
    
FEMeshPtr.__init__ = _FEMeshPtr___init__

#
# Also override the child-class initializer.
def _FEMesh___init__(self):
    self.this = femeshc.new_FEMesh()
    FEMeshPtr.__init__(self, self.this)
    self.thisown = 1

FEMesh.__init__ = _FEMesh___init__

    
# Functions for constructing boundaries and boundary conditions.
# The reason for writing these as methods in the mesh class is
# that both the boundary condition and the boundaries take
# a mesh pointer as an argument, and there is an opportunity for
# confusion and/or error if, for instance, you apply a condition
# from one mesh to a boundary from another mesh.  If you always
# use the mesh-based methods, consistency is implicit.
#

def _FEMeshPtr_newEdgeBoundary(self, name, edgeset = None):
    if self.boundaries.has_key(name):
        raise ooferror.ErrSetupError("Boundary %s already exists." % name)
    b = boundary.EdgeBoundary(name, self, edgeset)
    self.boundaries[name] = b
    self.edgebdynames.append(name)
    return b

FEMeshPtr.newEdgeBoundary = _FEMeshPtr_newEdgeBoundary

def _FEMeshPtr_newPointBoundary(self, name, pointset = None):
    if self.boundaries.has_key(name):
        raise ooferror.ErrSetupError("Boundary %s already exists." % name)
    b = boundary.PointBoundary(name, self, pointset)
    self.boundaries[name] = b
    return b

FEMeshPtr.newPointBoundary = _FEMeshPtr_newPointBoundary

# Get a boundary with the given name, or create it, whichever.
def _FEMeshPtr_getBoundary(self, name):
    try:
        return self.boundaries[name]
    except KeyError:
        return self.newBoundary(name)

FEMeshPtr.getBoundary = _FEMeshPtr_getBoundary

# We'll need one of these for each type of BC.  Currently,
# fixed and floating boundary conditions exist.  A "floating"
# BC is one where all the DOF's are tied together, but not
# to any particular value.
#  Addendum -- flux boundary conditions also added.  These
# specify the normal component of a flux on the boundary, which
# may not be a scalar.  For instance, the normal component of the
# stress is the force density.
#   Regarding the architectural changes in the boundaries and
# boundary conditions, it's not as obvious now that the mesh
# needs to offer these services.
#
#   These routines need to be altered to accept multiple
# components, and to return a tuple or list of xBC instances.
# Or, alternatively, the mesh could cease offering this service,
# which would put the BC's on the same footing as the profiles,
# which would be desirable.
def _FEMeshPtr_newDirichletBC(self, field, fcomp, eqn, ecomp):
    return boundarycond.DirichletBC(field, fcomp, eqn, ecomp)
    
FEMeshPtr.newDirichletBC = _FEMeshPtr_newDirichletBC

def _FEMeshPtr_newFloatBC(self, field, fcomp, eqn, ecomp):
    return boundarycond.FloatBC(field, fcomp, eqn, ecomp)

FEMeshPtr.newFloatBC = _FEMeshPtr_newFloatBC

def _FEMeshPtr_newNeumannBC(self, flux):
    return boundarycond.NeumannBC(flux)

FEMeshPtr.newNeumannBC = _FEMeshPtr_newNeumannBC

def _FEMeshPtr_newForceBC(self, eqn, eqcomp):
    return boundarycond.ForceBC(eqn, eqcomp)

FEMeshPtr.newForceBC = _FEMeshPtr_newForceBC

#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#

# A function to check consistency between intersecting fixed boundary
# conditions.  Includes offsets.  Does not check for self-intersections,
# because these are prohbited at assignment-time by the boundary itself.
# OPT:  If this is too slow, the conditions could be compared first.
def _FEMeshPtr_fixedBCConsistency(self):
    blist = self.boundaries.values()
    while len(blist)>1:  # i.e. if there are at least two boundaries...
        headFixedGeom = blist[0].getFixedGeometry()
        blist = blist[1:]
        for tail in blist:
            tailFixedGeom = tail.getFixedGeometry()
            # Now we've got both of 'em, check for intersections.
            for node in headFixedGeom.keys():
                if tailFixedGeom.has_key(node):
                    # Geometric intersection established, now check conditions.
                    for h in headFixedGeom[node]:
                        for t in tailFixedGeom[node]:
                            if h.condition.intersect(t.condition):
                                if h()!=t():
                                    reporter.warn(
                                        "Fixed BC intersection has unequal profiles, %s != %s." % (`h()`, `t()`))
    # No return value, because if any inconsistency was found, an
    # exception was raised and the function did not, in fact, return.
    # Note that a warning is not an exception.
    return 
        
FEMeshPtr.fixedBCConsistency = _FEMeshPtr_fixedBCConsistency

# A function whose job it is to notice if fixed and floating boundary
# conditions intersect, and promote float BC's that intersect with
# fixed BC's.  The technique is: Promote any floatBC at the first
# opportunity, i.e. as soon as you see a fixed/float intersection.
# This routine should immediately exit after a promotion.
#   This technique can introduce inconsistencies, e.g. if the
# floatBC has a different profile than you wanted, but that will
# be noticed by the DirichletBC consistency-checker, and so doesn't
# need to be checked for here.
#
# This routine returns 1 if it does a promotion and "None" otherwise,
# and should be continuously called until it has returned None,
# meaning that there are no more promotions left to do.
#

def _FEMeshPtr_bcPromote(self):
    blist = self.boundaries.values()    # list of Boundary objects
    for x in blist:
        # getFixedGeometry and getFloatGeometry return dictionaries of
        # LocatedCondition objects, keyed by Node.
        xfix = x.getFixedGeometry()
        for y in blist:
            yfloat = y.getFloatGeometry() 
            #
            for node in xfix.keys():
                if yfloat.has_key(node):
                    # This is the geometric intersection.  Check for
                    # field/component intersection.
                    for fixed in xfix[node]:
                        for float in yfloat[node]:
                            # fixed and float are LocatedCondition objects.
                            if ( fixed.condition.intersect(float.condition) and
                                float.condition.active ) :
                                # This is it -- promote!
                                reporter.report("Promoting float BC to fixed.")
                                offset = fixed() - float()
                                newcond = float.condition.fix(offset)
                                # TODO LATER -- it may not be necessary to
                                # add these bc's to the mesh, but only to
                                # the boundaries -- then the "signal=0"
                                # hack can be removed both from here
                                # and from the reset process.
                                newcond.add_to_mesh(
                                    float.condition.name+'-auto-fixed',
                                    float.condition.mesh, signal=0)
                                return 1
    return None

FEMeshPtr.bcPromote = _FEMeshPtr_bcPromote


# Boundary and boundary condition status indicator.  Suitable for
# monitoring the progress of the bcPromoter, among other things.

def _FEMeshPtr_BCStatus(self):
    for bkey  in self.boundaries.keys():
        print "Boundary ", bkey
        print self.boundaries[bkey]
        
FEMeshPtr.BCStatus = _FEMeshPtr_BCStatus


# FloatBC intersection-checking takes place in two steps.
# First is to make a map, or graph, or something, of the
# all the intersections.  Every condition gets a dictionary
# of conditions with which it has first-order intersections,
# with the values of these being the relative offsets required
# for the profile functions.
#
# Then in the second pass, you traverse the tree from the
# first-encounterd member, computing complete offsets as you
# go.  At this point, you can also check for global consistency,
# because the final profileOffset of any given FloatBC has to
# be unique.  Also at this time, you should eliminate intersections
# from the dictionary if they create loops, which you can detect
# by marking already-traversed condiitons.
#
# Also, when the first-encountered condition of an intersection
# set is executed, it has to propagate the profileStart,
# dofmappingIndex and eqnmappingIndex throughout the entire
# intersection set, by traversing the now-guaranteed-simply-connected
# structure induced by the dictionaries.
#

#  This is the function that actually gets called from the mesh,
# it performs the two steps that resolve FloatBC intersections so
# that the FloatBC's all float together.
def _FEMeshPtr_floatBCResolve(self):
    self.floatBCIsecMap_()
    self.floatBCTraverse_()

FEMeshPtr.floatBCResolve = _FEMeshPtr_floatBCResolve


# Function that builds a map of intersecting FloatBC's.  For each
# intersection that it finds, it creates an entry in the "intersectors"
# dictionary whose index is the intersected-with FloatBC, and whose
# value is the offset, other-self, needed to make the two profile
# functions consistent at this point.
#   Does *local* consistency checking, e.g. of FloatBC's that intersect
# at more than one point, by comparing profiles if it finds duplicates
# in the dictionary.
def _FEMeshPtr_floatBCIsecMap_(self):
    # Mark all intersections.
    blist = self.boundaries.values()
    for x in blist:
        xfloat = x.getFloatGeometry()
        for y in blist:
            if not x==y:
                yfloat = y.getFloatGeometry()
                #
                for node in xfloat.keys():
                    if yfloat.has_key(node):
                        # Geometric intersection.
                        for h in xfloat[node]:
                            for t in yfloat[node]:
                                if h.condition.intersect(t):
                                    offset = h()-t()
                                    hci = h.condition.intersectors
                                    if hci.has_key(t.condition):
                                        if hci[t.condition]!=offset:
                                            reporter.warn(
                                                "Float BC intersection has inconsistent profiles.")
                                            # Maybe mention which ones...
                                    else:
                                        hci[t.condition] = offset
                                    # In any case...
                                    t.condition.intersected = 'mapped'
                                    # Add the duplicate nodes to the dict.
                                    # Dupnodes is a dictionary whose values
                                    # are also dictionaries.
                                    hcn = h.condition.nodeshares
                                    try:
                                        hcn[t.condition][node] = None
                                    except KeyError:
                                        hcn[t.condition] = { node: None }

#  The idea here is to make dictionaries, key'd by the adjacent BC's
# and value'd by the shared nodes, and then in the traverse, direct
# them in the same way that the offsets get directed, so that you
# end up with a (presumably unique) dictionary of nodes that you
# share with your parent.  Then, the Right Thing is to not handle
# these nodes.
                                    
FEMeshPtr.floatBCIsecMap_ = _FEMeshPtr_floatBCIsecMap_

# Recursive helper function for FloatBCTraverse.
def _FEMeshPtr_flbtraverse_(self, fbc, pOffset):
    if fbc.intersected == 'traversed':
        return 'loop'
    # fbc.intersected will be None if the floating boundary has not
    # yet been mapped or traversed.
    if not fbc.intersected:
        raise ErrSetupError("Intersection traversal encountered singleton.")
    #
    fbc.intersected = 'traversed'
    fbc.profileOffset = pOffset
    for next in fbc.intersectors.keys():
        del fbc.nodeshares[next]      # Delete forward redundant-node maps
        del next.intersectors[fbc]  # Direct the graph by removing reverse refs
    for next in fbc.intersectors.keys():
        if self.flbtraverse_(next, pOffset+fbc.intersectors[next])=='loop':
            # Check global consistency.
            if pOffset+fbc.intersectors[next] != next.profileOffset:
                raise ErrSetupError("Global consistency failure in FloatBCs.")
            # If OK, just cut the loop.
            # del next.dupnodes[fbc]
            del fbc.intersectors[next] 

FEMeshPtr.flbtraverse_ = _FEMeshPtr_flbtraverse_

def _FEMeshPtr_floatBCTraverse_(self):
    for bdy in self.boundaries.values():
        # Follow the chains.
        for floatbc in bdy.floatConditions:
            if floatbc.intersected == 'mapped':
                self.flbtraverse_(floatbc, 0.0)
                floatbc.intersected = None
    # Now, for each of them, rationalize the redundant-node sets
    # into a single dictionary, keyed by the nodes.
    # This should arguably be a function in the FloatBC class itself,
    # for proper OO encapsulation, but it only operates on the one
    # dictionary, and is part of the resolution process, so it's here.
    for bdy in self.boundaries.values():
        for floatbc in bdy.floatConditions:
            newdic = {}
            for overlap in floatbc.nodeshares.values():
                newdic.update(overlap)
            floatbc.dupnodes = newdic

FEMeshPtr.floatBCTraverse_ = _FEMeshPtr_floatBCTraverse_

#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#

# Utility functions to help with debugging the FloatBC list mappers.

def _FEMeshPtr_drawmap(self,map):
    for i in range(0,self.mapsize(map)):
        print "%d -> %d" % ( i, self.mapvalue(map,i) )

FEMeshPtr.drawmap = _FEMeshPtr_drawmap


#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#

def _FEMeshPtr_check_materials(self):
    # For every defined flux, check that it is consistently defined.
    # Returns a list of badly defined materials.
    badmatls = {}                       # keys are badly defined materials
    for f in self.all_fluxes():
        if self.is_active_flux(f):
            # check_flux returns a list of bad materials
            for matl in self.check_flux(f):
                badmatls[matl] = 1
    return badmatls.keys()
                
FEMeshPtr.check_materials = _FEMeshPtr_check_materials

# Check if the passed-in flux is computable on this mesh.  Return a
# list of materials that make the flux incomputable, if any.
def _FEMeshPtr_check_flux(self, flux):
    ms = self.parent_mesh.getMicrostructure()
    matlist = []
    for mat in material.getMaterials(ms):
        if mat.contributes_to_flux(flux):
            if not mat.self_consistent():
                matlist.append(mat)
    return matlist

FEMeshPtr.check_flux = _FEMeshPtr_check_flux

def _FEMeshPtr_precompute(self):
    self.precomputeLock.acquire()
    try:
        if self.precomputeRequired:
            ms = self.parent_mesh.getMicrostructure()
            for mat in material.getMaterials(ms):
                mat.precompute(self)
            self.precomputeRequired = 0
    finally:
        self.precomputeLock.release()

FEMeshPtr.precompute = _FEMeshPtr_precompute

# Some book-keeping functions which allow the FEMesh to know its
# mesh, but only at the python level.
def _FEMeshPtr_set_parent_mesh(self, m):
    self.parent_mesh = m

FEMeshPtr.set_parent_mesh = _FEMeshPtr_set_parent_mesh

def _FEMeshPtr_clear_parent_mesh(self):
    del self.parent_mesh

FEMeshPtr.clear_parent_mesh = _FEMeshPtr_clear_parent_mesh

#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#=#*#=#-#

# NOTE: This equilibrate is no longer called -- iterative solvers
# require a more general mechanism.  This work is done by a
# SolverStepper object, and the corresponding code is in
# solverstepper_.py, separated out into "precompute" and "postcompute"
# parts.  It's still here for reference.
def _equilibrate(self, solver):
    badmatls = self.check_materials()
    if badmatls:
        msgs = []
        for matl in badmatls:
            msgs += matl.consistency_messages()
        raise ooferror2.ErrUserError('Badly defined materials!\n' +
                                     string.join(msgs, '\n'))
    eq_cProgressBar = progressbar.getcProgressBar()

    # precompute must be called before anything else that
    # might want to check if a Property is active.
    self.precompute()

    ## TODO LATER (but not too much later): Only recompute stiffness
    ## matrix if materials, fields, equations, or boundary conditions
    ## have changed since the last time it was computed.  NB: Boundary
    ## condition changes actually don't require recomputation of the
    ## stiffness matrix, only a rerunning of the bc invocations.
    reporter.start_progressbar()
    self.make_stiffness()
    reporter.progressbar_completed()
    reporter.end_progressbar()

    ## Take measures if process failed
    if eq_cProgressBar.query_stop() !=0:
        eq_cProgressBar.set_failure()
        eq_cProgressBar.set_progress(1)
        eq_cProgressBar.set_message("Interrupted") ## GUI message
        reporter.progressbar_cleanup()
        reporter.warn("Process interrupted")
        return
    
        
    # Initialize the vector that records the boundary's contribution
    # to the RHS.  Correct size, full of zeros.
    self.boundary_rhs_init( self.stiffness_matrix().nrows() )
    reporter.report("Made stiffness matrix")
    # trace_enable()
    # print stiff.structure()

    # self.dump_boundary_rhs()

    # Make sure all dofs and equations are initially free/independent.
    self.resetdofeqs()

    # self.dump_dof()
    
    # Resolve intersecting float/fixed BC's, and check fixed BC's.
    while self.bcPromote():             # Explore beautiful British Columbia!!
        pass
    self.fixedBCConsistency()
    reporter.report("Completed Fixed BC consistency checks.")

    self.floatBCResolve()
    reporter.report("Resolved floating BC intersections, if any.")
    
    self.invoke_flux_bcs()
    reporter.report("Applied flux boundary conditions, if any.")
    self.invoke_fixed_bcs()
    reporter.report("Applied fixed boundary conditions, if any.")
    self.invoke_force_bcs()
    reporter.report("Applied force boundary conditions, if any.")

    # self.dump_dof()
    self.mapdofeqs()      # must come after fixed bcs, before floating ones

    
    reporter.report("Mapped equations.")
    self.invoke_float_bcs()
    reporter.report("Applied floating boundary conditions, if any.")

    # self.dump_boundary_rhs()

    # self.dump_dof()
    reporter.start_progressbar()
    status = self.solve(solver)
    reporter.progressbar_completed()
    reporter.end_progressbar()
    
    
    if eq_cProgressBar.query_stop() !=0:
        eq_cProgressBar.set_failure()
        eq_cProgressBar.set_progress(1)
        eq_cProgressBar.set_message("Failed")
        reporter.warn("Process interrupted")
        reporter.progressbar_cleanup()
        return
   
    
    if status:
        self.expand_float_bcs()
        reporter.report("Expanded floating BC's, if any.")

    # Earliest opportunity to remove automatically-generated fixed
    # BCs caused by promotion.
    self.reset_bcs()

    reporter.start_progressbar()
    self.post_process()
    reporter.end_progressbar()
    

    reporter.report("Completed post-processing, if any.")
    reporter.progressbar_cleanup()

    
FEMeshPtr.equilibrate = _equilibrate

## TODO LATER: Delete this? find_nodal_forces doesn't seem to be used
## anywhere.  It was probably written before we had a good way of
## computing fluxes.

##def _find_nodal_forces(self):
##    # compute nodal forces after solving.
##    self.reset_bcs()
##    self.invoke_fixed_bcs()
##    self.invoke_flux_bcs()
##    self.mapdofeqs()
##    self.compute_nodal_forces()
####    B = self.Bmatrix()
####    Cp = self.Cpmatrix()
####    self.set_dependentforces(Cp*x + B*y)

##FEMeshPtr.find_nodal_forces = _find_nodal_forces

###########################################################################
##
## BC invocation routines.  These are almost all the same, they just
## scoot through the list of all boundaries and call the appropriate
## application routine.  The exception is "float" bc's, for which
## the mesh's "cleanlists" routine must be called to fix the
## target space of the eqn/dof maps, and for which there is an
## additional "expansion" requirement.
##
def _invoke_fixed_bcs(self):
    for c in self.boundaries.values(): # NB boundaries is a dictionary.
        c.invokeFixed()

FEMeshPtr.invoke_fixed_bcs = _invoke_fixed_bcs

def _invoke_flux_bcs(self):
    for c in self.boundaries.values():
        c.invokeFlux()

FEMeshPtr.invoke_flux_bcs = _invoke_flux_bcs

def _invoke_float_bcs(self):
    for c in self.boundaries.values():
        c.invokeFloat()
    self.cleanlists()

FEMeshPtr.invoke_float_bcs = _invoke_float_bcs

def _expand_float_bcs(self):
    for c in self.boundaries.values():
        c.expandFloat()

FEMeshPtr.expand_float_bcs = _expand_float_bcs

def _invoke_force_bcs(self):
    for c in self.boundaries.values():
        c.invokeForce()

FEMeshPtr.invoke_force_bcs = _invoke_force_bcs


def _reset_bcs(self):
    for b in self.boundaries.values():
        b.reset()

FEMeshPtr.reset_bcs = _reset_bcs

###########################################################################

## Defining Iterator.__getitem__ allows constructions like
##"for node in mesh.iterator():"

def _FuncNodeIteratorPtr___getitem__(self,idx):
    if self.end():
        raise IndexError
    ans = self.node()
    self.next()
    return ans

FuncNodeIteratorPtr.__getitem__ = _FuncNodeIteratorPtr___getitem__

def _ElementIteratorPtr___getitem__(self, idx):
    if self.end():
        raise IndexError
    ans = self.element()
    self.next()
    return ans

ElementIteratorPtr.__getitem__ = _ElementIteratorPtr___getitem__

def _NodeIteratorPtr___getitem__(self, idx):
    if self.end():
        raise IndexError
    ans = self.node()
    self.next()
    return ans

NodeIteratorPtr.__getitem__ = _NodeIteratorPtr___getitem__

###########################################################################

from SWIG.engine.stiffnessmatrix import StiffnessMatrixPtr
from SWIG.engine.elements import ElementPtr

#
# Export the mesh object to the restricted namespace.
from common import utils
utils.OOFdefine('FEMesh', FEMesh)
